### Method

# Camel Folder get_filename

since: 2.26

#### Declaration [src]

    gchar*
    camel_folder_get_filename (
      CamelFolder* folder,
      const gchar* uid,
      GError** error
    )

#### Description

No description available.

Available since: 2.26

#### Parameters

`uid`

  Type: `const gchar*`

  A message UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A file name corresponding to a message with UID `uid`. Free the returned string with g_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.